Package org.apache.sling.engine

# Interface RequestInfoProvider

@ProviderType public interface RequestInfoProvider
This service can be used to gather information about requests processed by the engine.

Since:
  2.5

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clear all request infos
`int`
`getMaxNumberOfInfos()`
Get the maximum number of provided infos
`int`
`getMayNumberOfInfos()`
Deprecated.
Use `getMaxNumberOfInfos()`
`RequestInfo`
`getRequestInfo(String id)`
Get the request info for the id
`Iterable<RequestInfo>`
`getRequestInfos()`
Get the request infos
`boolean`
`isEnabled()`
Is recording of requests enabled?
`boolean`
`isEnabledFor(String path)`
Is recording of requests for this path enabled?

## Method Details

### isEnabled

boolean isEnabled()
Is recording of requests enabled?

Returns:
  `true` if enabled, false} otherwise
Since:
  2.6

### isEnabledFor

boolean isEnabledFor(String path)
Is recording of requests for this path enabled?

Parameters:
  `path` - The path
Returns:
  `true` if enabled, false} otherwise
Since:
  2.6

### getRequestInfo

RequestInfo getRequestInfo(String id)
Get the request info for the id

Parameters:
  `id` - The id
Returns:
  The request info or `null`

### getRequestInfos

Iterable<RequestInfo> getRequestInfos()
Get the request infos

Returns:
  An iterator for the request infos

### getMayNumberOfInfos

@Deprecated int getMayNumberOfInfos()
Deprecated.
Use `getMaxNumberOfInfos()`
Get the maximum number of provided infos

Returns:
  The maximum number, `0` if no infos are recorded

### getMaxNumberOfInfos

int getMaxNumberOfInfos()
Get the maximum number of provided infos

Returns:
  The maximum number, `0` if no infos are recorded
Since:
  2.6

### clear

void clear()
Clear all request infos